services:
  werc:
    build:
      network: host
      dockerfile: Dockerfile
      context: .
    container_name: werc
    ports:
      - 3080:80
    environment:
      - HOSTNAME=thirdculture.top
    volumes:
     - werc:/var/www/werc
     - lighttpd:/etc/lighttpd
     - /etc/timezone:/etc/timezone:ro
     - /etc/localtime:/etc/localtime:ro
    tty: true
    networks:
      - default-werc

  gossa:
    image: pldubouilh/gossa
    container_name: gossa
    ports:
      - 3001:8001
    volumes:
      - ./werc/sites/thirdculture.top/_files:/shared
      - ./werc/sites/ppl.thirdculture.top:/shared/people
    networks:
      - default-werc
  
  transfer:
    image: dutchcoders/transfer.sh:latest
    container_name: transfer
    ports:
      - "3880:8080"
    command: ["--provider", "local", "--basedir", "/uploads/", "--web-path", "/web/", "--max-upload-size", "10485760"]
    environment:
      - MAX_UPLOAD_SIZE=10485760
    volumes:
      - ./transfer/uploads:/uploads
      - ./transfer/tshweb:/web
    restart: always
    networks:
      - default-werc

networks:
  default-werc:
    driver: bridge

volumes:
  werc:
    driver: local
    driver_opts:
      o: bind
      type: none
      device: "./werc"
  lighttpd:
    driver: local
    driver_opts:
      o: bind
      type: none
      device: "./etc/lighttpd"
